Article

No title

Sunday 6th August 2006

Cette news ne concerne encore une fois que ceux ayant Firefox. Pour la version Ⅲ du site je vais m'efforcer de faire en sorte qu'une de ces extentions soit un peu mieux supportée. En fait, il s'agit de faire que la balise <ruby> soit reconnu par le navigateur.

Ruby :
Cette balise sert principalement pour les textes d'origines asiatiques (surtout pour le japonais) et permet d'afficher les furigana et les annotations que l'on retrouve fréquement au Japon : Panneau, livre, journeaux, etc. Ils sont normalement là pour aider à la lecteur de kanji difficiles ou peu courant, pour les noms, les mots d'origines étrangères (leur lecteur ou leur traduction, et par fois l'inverse), et j'en passe.

Pour les commentaires du site, la balise est déjà utilisable de façon symplifiée avec codage [ruby]. Cependant l'affiche de la balise sous Firefox, quelque soit la version ressemble à celui-ci :

Avec l'extention, voici l'affichage :

C'est plus claire (même si dans la cas présent ce n'est pas parfait). L'extention d'origine japonaise ne semble pas vraiment être suivit du coté occidental (car d'un intérêt quasi nulle), mais voici où la trouver :

XHTML Ruby Support Ver.1.4.2005110501 for Netscape 7 & Mozilla & Firefox
Page japonaise (téléchargement)
Page anglaise (téléchargement)

Je vais m'efforcé de faire en sorte que la version Ⅲ du site soit valide XHML 1.1 ce qui est assez proche du HTML 1.0 Strict que je cherchais à avoir mais un poil plus permissif sur la mise en page et surtout le support de . Mais même si la balise est validé, Firefox par défaut ne sait pas la lire, et ne suis risque de ne pas être le cas même pour Firefox 2.0.
Note : Internet Explorer « sait » (on va dire ça) la lire depuis un bon moment. Le petit problème c'est qu'il la lit en se foutant du DOCTYPE de la page, elle marche quelque soit le type donné (est-ce bien ?).

Liens supplémentaires :
- W3C Ruby Annotation (traduction complète en français)
- Wikipédia : Furigana

Pour ceux étant encore sur Firefox 1.0.0.x, il semble qu'il est ait des soucit d'affiche sur la vesion Ⅲ (et je pense qu'il existe sur la version Ⅱ, mais bien moins visible). En effet, la version actuelle le série 1.5 a corrigé entre autre quelques problèmes d'affiches. Je conseille donc de passer à la dernière version :


Page de téléchargement de la version 1.5.0.6

The 5 next articles

1 comment posted

By Zéfling, the 10/08/2006 at 00:10:13
Avatar
Administrator

... En fait je me suis rendu compte que Firefox à bien le suport de Ruby. Mais uniquement pour les sites en XHTML 1.1. Pour les autres c'est ignorée. L'extension ne sert donc que pour la v2 du site ? (ou les versions antérieurs à Firefox 1.5 ?).

Je vais faire quelques recherches à ce sujet :)

働いたら負け。

Write a commentary